/* Eric Meyer's Reset CSS v2.0 - http://cssreset.com */
html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
  margin: 0;
  padding: 0
}

article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
  display: block
}

body {
  line-height: 1
}

ol,
ul {
  list-style: none
}

blockquote,
q {
  quotes: none
}

blockquote:before,
blockquote:after,
q:before,
q:after {
  content: none
}

table {
  border-collapse: collapse;
  border-spacing: 0
}

/* Browser Animation fixes and Rendering Optimization */

* {
  box-sizing: border-box;
}


/* 
--------------------- BROWSER ANIMATION FIXES AND RENDERING OPTIMAZATION -------------------------
--------------------------------------------------------------------------------------------------
*/


.smooth-text {
  -webkit-font-smoothing: antialiased;
  font-smoothing: antialiased;
  text-rendering: optimizelegibility;
}

/* Add to body*/
.no-pixel-shift {
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
  -webkit-transform: translateZ(0) scale(1.0, 1.0);
  transform: translateZ(0) scale(1.0, 1.0);
}

.crisp-image {
  image-rendering: -o-crisp-edges;
  /* Opera */
  image-rendering: -webkit-optimize-contrast;
  /* Webkit (non-standard naming) */
  image-rendering: crisp-edges;
  -ms-interpolation-mode: nearest-neighbor;
  /* IE (non-standard property) */
}

.will-change {
  will-change: transform;
}

/* 
-------------------------------- FONTS ------------------------------------
--------------------------------------------------------------------------------------------
*/


@font-face {
  font-family: 'Montserrat-Medium';
  src: url('../fonts/Montserrat-Medium.woff') format('woff');
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Montserrat-Bold';
  src: url('../fonts/Montserrat-Bold.woff') format('woff');
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Montserrat-ExtraBold';
  src: url('../fonts/Montserrat-ExtraBold.woff') format('woff');
  font-style: normal;
  font-display: swap;
}


/* 
-------------------------------- GENERAL BANNER CLASSES ------------------------------------
--------------------------------------------------------------------------------------------
*/

#ad_id.my-ad {
  position: relative;
  overflow: hidden;
  z-index: 0;
  cursor: pointer;
  background: #FFFFFF;
  /* border: 1px solid #E8E8E8;
  border-radius: 8px; */
}

.black-border {
  position: absolute;
  width: 320px;
  height: 480px;
  z-index: 30;
  border: 1px solid #e8e8e8;
  box-sizing: border-box;
  pointer-events: none;
  border-radius: 8px;
}

#ad_id.my-ad.mrec {
  width: 320px;
  height: 480px;
}

#fader {
  width: 320px;
  height: 480px;
  z-index: 100;
  background: #fff;
  pointer-events: none;
}


/* 
-------------------------------- BRAND STYLES ----------------------------------------------
--------------------------------------------------------------------------------------------
*/


/* Always set the map height explicitly to define the size of the div element that contains the map. */

.shadow {
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
}

#map-jpeg {
  height: 191px;
  width: 308px;
  position: absolute;
  top: 282px;
  right: 6px;
  z-index: 0;
  /* display: none; */
  border-radius: 0 0 8px 8px;
  overflow: hidden;
}

#map-loading {
  height: 191px;
  width: 308px;
  position: absolute;
  top: 282px;
  right: 6px;
  pointer-events: none;
  z-index: 3;
  border-radius: 0 0 8px 8px;
  overflow: hidden;
  background-color: rgba(255, 255, 255, 0.9);
  color: #000000;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 14px;
  font-weight: bold;
  font-family: Arial, Helvetica, sans-serif;
}


#map {
  height: 191px;
  width: 308px;
  position: absolute;
  top: 282px;
  right: 6px;
  z-index: 1;
  border-radius: 0 0 8px 8px;
  overflow: hidden;
}

#map-loader {
  height: 100%;
  width: 485px;
  position: absolute;
  right: -485px;
  z-index: 3;
  background: rgba(0, 0, 0, 0.4);
  pointer-events: none;
}

#loading-bar {
  background-color: #b0d244;
  width: 0;
  height: 3px;
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  transform-origin: left;
}

#loading-map-text {
  width: 72px;
  height: 12px;
  position: absolute;
  top: 100px;
  left: 50%;
  transform: translateX(-50%);
}

/* Gym Gallery Styles */
#gymGallery {
  width: 308px;
  height: 276px;
  background: #f9f5ec;
  border-radius: 8px;
  overflow: hidden;
  position: absolute;
  display: none;
  top: 6px;
  left: 6px;
  font-family: "Noto Sans TC", sans-serif;
  color: #222220;
  text-align: left;
  z-index: 40;
}

#gymGallery #clubType {
  width: 142px;
  height: auto;
  margin-bottom: 10px;
}

#gymGallery #clubName {
  font-family: 'Montserrat-ExtraBold';
  font-size: 16px;
  font-weight: bold;
  line-height: 21px;
  margin-bottom: 3px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

#gymGallery #storeStreet {
  font-family: 'Montserrat-Medium';
  font-size: 15px;
  line-height: 18px;
  margin-bottom: 3px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

#gymGallery #storeDetails {
  font-family: 'Montserrat-Medium';
  font-size: 15px;
  line-height: 18px;
  margin-bottom: 10px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  width: 140px;
}

#gymGallery #info {
  width: 270px;
  height: auto;
  position: absolute;
  left: 20px;
  top: 20px;
  z-index: 0;
}

#gymGallery #cta_click_hotspot {
  position: absolute;
  left: 0;
  top: 0;
  height: 167px;
  width: 280px;
  z-index: 1;
}

#gymGallery #clubURL {
  font-family: 'Montserrat-Bold';
  width: 100px;
  height: 25px;
  background-color: #222220;
  border: 2px #222220 solid;
  margin: 0;
  text-decoration: none;
  outline: none;
  color: #fff;
  font-size: 8px;
  overflow: hidden;
  box-sizing: content-box;
  transition: border .4s;
  display: block;
  pointer-events: none;
  border-radius: 9999px;
}

#gymGallery:hover .button_text_a {
  transform: translateY(-25px) !important;
  /* color: #fde500; */
  will-change: transform;
}

#gymGallery:hover .button_text_b {
  transform: translateY(0px) !important;
  /* color: #fde500; */
  will-change: transform;
}

#gymGallery:hover #clubURL {
  /* border: 2px #fde500 solid; */
}

.button_text_a {
  top: 0;
  position: absolute;
  height: 25px;
  line-height: 25px;
  text-decoration: none;
  display: block;
  transition: all 0.3s ease-out 0s;
  transform-origin: center;
  text-align: center;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  font-smooth: always;
  text-align: center;
  width: 100px;
}

.button_text_b {
  top: 0;
  position: absolute;
  transform: translateY(25px) !important;
  height: 25px;
  line-height: 25px;
  text-decoration: none;
  display: block;
  transition: all 0.3s ease-out 0s;
  transform-origin: center;
  text-align: center;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  font-smooth: always;
  text-align: center;
  width: 100px;

}

/* #gymGallery #clubURL:hover {
    background: #222220;
    color: #000;
    border: 2px #fff solid;
} */

#gymGallery p {
  margin: 0;
  padding: 0;
}

#close-button {
  position: absolute;
  top: 8px;
  right: 8px;
  width: 14px;
  height: 14px;
  z-index: 4;
}

#close-button:hover .cls-1 {
  fill: #222220;
}

#image_container {
  width: 320px;
  height: 285px;
  left: 0;
  top: 0;
  z-index: 1;
  overflow: hidden;
}

#background_container {
  width: 308px;
  height: 276px;
  border-radius: 8px 8px 0 0;
  overflow: hidden;
  position: absolute;
  top: 6px;
  left: 6px;
  z-index: 0;
}

#bg_image {
  width: 100%;
  height: 100%;
  object-fit: cover;
  position: absolute;
  left: 0;
  top: 0;
  z-index: 0;
  scale: 1.1;
  transform: translateZ(1px);
}

#circle_bg {
  width: 366px;
  height: auto;
  top: -70px;
  left: 62px;
}

#switch_to_new_generation {
  width: 255px;
  height: auto;
  top: 25px;
  left: 132px;
}

#waste_less_save_more {
  width: 231px;
  height: auto;
  top: 40px;
  left: 144px;
}

#clock {
  width: 31px;
  height: auto;
  top: 192px;
  left: 186px;
}

#limited_time {
  width: 107px;
  height: auto;
  top: 196px;
  left: 227px;
}

#product_shot_1 {
  width: 156px;
  height: auto;
  top: 60px;
  left: 114px;
}

#product_shot_2 {
  width: 156px;
  height: auto;
  top: 68px;
  left: 225px;
}

#cl_logo {
  width: 70px;
  left: 26px;
  top: 90px;
  z-index: 3;
}

#galleryPlaceholder {
  width: 245px;
  position: absolute;
  display: none;
  left: 195px;
  top: 30px;
}

/*
-------------------------------- SWIPER STYLES ----------------------------------------------
---------------------------------------------------------------------------------------------
*/


#main-swiper-container {
  width: 174px;
  height: 152px;
  bottom: 10px;
  right: 6px;
  position: absolute;
  z-index: 3;
}

#main-carousel {
  width: 174px;
  height: 152px;
  top: 0;
  position: absolute;
}

.carousel-cell {
  background: transparent;
  width: 174px;
  height: 152px;
  border-radius: 10px;
  overflow: hidden;
  z-index: 0 !important;
}

.carousel-cell-inner {
  display: block;
  width: 174px;
  height: 152px;
  margin: 0 auto;
  border-radius: 10px;
  overflow: hidden;
  position: relative;
}

.gym_image {
  position: absolute;
  width: 174px;
  height: 152px;
  left: 0;
  top: 0;
  object-fit: cover;
}

.flickity-prev-next-button {
  top: 60% !important;
  background: #222220 !important;
  outline: 0 !important;
  width: 30px !important;
  height: 30px !important;
  z-index: 1 !important;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
}

.flickity-prev-next-button .flickity-button-icon {
  fill: #ffffff !important;
}

.flickity-prev-next-button:hover {
  background: #ffffff !important;
}

.flickity-prev-next-button:hover .flickity-button-icon {
  fill: #222220 !important;
}

.flickity-prev-next-button.previous {
  left: 0px !important;
}

.flickity-prev-next-button.next {
  right: 0px !important;
}

#zoom_control_container {
  width: 34px;
  height: 68px;
  position: absolute;
  bottom: 10px;
  left: 10px;
  z-index: 10;
}

#zoom_control {
  width: 34px;
  height: 68px;
  top: 0;
  left: 0;
}

#zoom_control_plus {
  width: 34px;
  height: 34px;
  top: 0;
  left: 0;
}

#zoom_control_minus {
  width: 34px;
  height: 34px;
  bottom: 0;
  left: 0;
}

#map_info_container {
  width: 187px;
  height: auto;
  position: absolute;
  bottom: 12px;
  left: 59px;
  z-index: 2;
  pointer-events: none;
  background: #ffffff;
}

#map_info {
  font-size: 8px;
  line-height: 15px;
  font-family: "Noto Sans TC", sans-serif;
}

.wipe {
  width: 320px;
  height: 480px;
  transform-origin: right;
  right: 0px;
}

#storeCity {
  display: none;
}

#storeCity {
  display: none;
}

#storeState {
  display: none;
}

#intro_logo {
  width: 193px;
  height: auto;
  top: 240px;
  left: 26px;
}

#tagline {
  position: absolute;
  width: 100%;
  font-family: 'Montserrat-ExtraBold';
  font-size: 26px;
  line-height: 30px;
  color: #f6f1e9;
  text-align: left;
  top: 0;
  z-index: 3;
}

.line_mask {
  position: absolute;
  overflow: hidden;
  white-space: nowrap;
}

.line_content {
  display: block;
  will_change: transform;
}

.line_content_2 {
  display: block;
  will_change: transform;
}

#line_mask_1 {
  top: 27px;
  left: 27px;
}

#line_mask_2 {
  top: 57px;
  left: 27px;
}

#line_mask_3 {
  top: 27px;
  left: 27px;
}

#line_mask_4 {
  top: 57px;
  left: 27px;
}

/*
-------------------------------- HELPER STYLES ----------------------------------------------
---------------------------------------------------------------------------------------------
*/


/* OPACITY HELPERS */

.invisible {
  opacity: 0;
}

/*. TYPOGRAPHY HELPERS */

.text-align-center {
  text-align: center;
}

/*. CENTERING HELPERS */

.absolute-center {
  position: absolute;
  margin: 0 auto;
  left: 0;
  right: 0;
  margin-left: auto;
  margin-right: auto;
}

.center-block-element {
  margin: 0 auto;
}

.display-table-one {
  /*Add this to parent vertical center element*/
  display: table;

}

.display-table {
  /*Add this to parent vertical center element*/
  display: table;
  margin-left: auto;
  margin-right: auto;
}

.vertical-center {
  /*Add this to next child element of the .display-table element*/
  display: table-cell;
  vertical-align: middle;
}

/*. POSITIONING HELPERS */

.pos-a {
  position: absolute;
}

.pos-r {
  position: relative;
}

.top-0 {
  top: 0;
}

.right-0 {
  right: 0;
}

.bottom-0 {
  bottom: 0;
}

.left-0 {
  left: 0;
}

.zero-scale {
  transform: scale(0);
}

/*. POSITIONING HELPERS STACKING ORDER */

/*. .z-i-1 = Z Index 1 */

.z-i-1 {
  z-index: 1;
}

.z-i-2 {
  z-index: 2;
}

.z-i-3 {
  z-index: 3;
}

.z-i-4 {
  z-index: 4;
}

.z-i-5 {
  z-index: 5;
}

.z-i-6 {
  z-index: 6;
}

.z-i-7 {
  z-index: 7;
}

.z-i-8 {
  z-index: 8;
}

.z-i-9 {
  z-index: 9;
}

.z-i-10 {
  z-index: 10;
}

.z-i-11 {
  z-index: 11;
}

.z-i-12 {
  z-index: 12;
}

/*. RESPONSIVE HELPERS */

.img-responsive {
  display: block;
  max-width: 100%;
  height: auto;
}

/* 
-------------------------------- BANNER SPECIFIC STYLES ----------------------------------------------
------------------------------------------------------------------------------------------------------
*/

.mask {
  overflow: hidden;
  width: 100%;
}

#search_bar_container {
  right: 9px;
  top: 285px;
  height: 24px;
  width: 302px;
  background: #000000;
  z-index: 11;
  border-radius: 4px;
}

#find_a_gym_near_you {
  left: 3px;
  z-index: 12;
  top: 3px;
  width: 141px;
}

#current_location {
  right: 0px;
  z-index: 40;
}

/*Form style for Geocoding submit*/

#submit_geo_code_btn {
  top: 4px;
  right: 6px;
  z-index: 15;
  width: 16px;
  height: 17px;
  background: transparent;
}

#address_bar {
  font-family: 'Montserrat-Bold';
  top: 3px;
  right: 3px;
  z-index: 10;
  width: 152px;
  height: 19px;
  box-sizing: border-box;
  border: 1px solid #fff;
  border-radius: 3px;
  background: #FFFFFF;
  color: #000000;
  font-family: "Noto Sans TC", sans-serif;
  font-size: 8px;
  outline: none;
  -webkit-box-shadow: none !important;
  -moz-box-shadow: none !important;
  box-shadow: none !important;
  text-indent: 24px;
  font-weight: bold;
  padding-right: 30px;
}

::placeholder {
  /* Chrome, Firefox, Opera, Safari 10.1+ */
  color: #000000;
  opacity: 1;
  /* Firefox */
}

:-ms-input-placeholder {
  /* Internet Explorer 10-11 */
  color: #000000;
  opacity: 1;
}

::-ms-input-placeholder {
  /* Microsoft Edge */
  color: #000000;
  opacity: 1;
}

#unsuccessful {
  width: 202px;
  height: auto;
  bottom: -22px;
  right: 64px;
  z-index: 30;
}

/*Hide Google Controls *need to do custom controls to get some back*/

a[href^="http://maps.google.com/maps"],
a[href^="https://maps.google.com/maps"],
a[href^="https://www.google.com/maps"] {
  display: none !important;
}

.gm-bundled-control .gmnoprint {
  display: block;
}

.gmnoprint:not(.gm-bundled-control) {
  display: none;
}

#map div.gm-svpc {
  background: black !important;
}